package com.jiuqi.dna.ide.designer.toolkit;

import com.jiuqi.dna.ide.designer.elements.ILayoutElement;
import com.jiuqi.dna.ide.designer.elements.LayoutElement;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

/* loaded from: com_jiuqi_dna_ide_designer_toolkit.jar:com/jiuqi/dna/ide/designer/toolkit/LayoutDescriptor.class */
public class LayoutDescriptor implements Serializable, Comparable<LayoutDescriptor> {
    private static final long serialVersionUID = 2011958123186074642L;
    private String name;
    private ArrayList<PropertyDescriptor> propertyDescriptors = new ArrayList<>();
    private LayoutDataDescriptor layoutDataDescriptor;

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void addPropertyDescriptor(PropertyDescriptor propertyDescriptor) {
        this.propertyDescriptors.add(propertyDescriptor);
    }

    public void removePropertyDescriptor(PropertyDescriptor propertyDescriptor) {
        this.propertyDescriptors.remove(propertyDescriptor);
    }

    public ArrayList<PropertyDescriptor> getPropertyDescriptors() {
        return this.propertyDescriptors;
    }

    public PropertyDescriptor getPropertyDescriptor(String propertyName) {
        if (propertyName == null) {
            throw new NullPointerException("布局属性名propertyName不能为NULL");
        }
        Iterator<PropertyDescriptor> it = this.propertyDescriptors.iterator();
        while (it.hasNext()) {
            PropertyDescriptor descriptor = it.next();
            if (propertyName.equals(descriptor.getPropertyName())) {
                return descriptor;
            }
        }
        return null;
    }

    public ILayoutElement createLayoutElement() {
        LayoutElement layout = new LayoutElement();
        layout.setLayoutDescriptor(this);
        return layout;
    }

    @Override // java.lang.Comparable
    public int compareTo(LayoutDescriptor layout) {
        if (this == layout) {
            return 0;
        }
        return this.name.compareTo(layout.name);
    }

    public LayoutDataDescriptor getLayoutDataDescriptor() {
        return this.layoutDataDescriptor;
    }

    public void setLayoutDataDescriptor(LayoutDataDescriptor layoutDataDescriptor) {
        this.layoutDataDescriptor = layoutDataDescriptor;
    }
}
